{% extends 'base.html' %}

{% block meta_tags %}<title>Set New Password - Components</title>
        <meta name="description" content="Change Password page in components site.">{% endblock %}

{% block content %}
    <div class="subcontainer">
      {%if user.is_anonymous %}
        {% if validlink %}
        <div class="col-md-4 col-sm-6 col-xs-12 col-lg-4">
          <div class = "card border-dark mb-3">
            <div class = "card-body">
              <div class="text-center mb-4">
                <h2 class="card-title">Set New Password</h2>
              </div>
                <form method="post" id="set-password">
                    <div class="form-group">
                      <!-- <label for="{{ form.new_password1.id_for_label }}">{{ form.new_password1.label_tag }}</label> -->
                      <input type="password" name="{{ form.new_password1.html_name}}" autocomplete="off" id="{{ form.new_password1.id_for_label}}" class="form-control" value  placeholder="New Password" required />
                      {{ form.new_password1.errors }}
                    </div>
                    <div class="form-group">
                      <!-- <label for="{{ form.new_password2.id_for_label}}">{{ form.new_password2.label_tag }}</label> -->
                      <input type="password" name="{{ form.new_password2.html_name}}" autocomplete="off" id="{{ form.new_password2.id_for_label}}" class="form-control" value placeholder="Confirm New Password" required />
                    </div>
                    {{ form.new_password2.errors }}
                    <div class="form-group">
                      <button type="submit" class="btn btn-success col-lg-12 col-md-12 col-xs-12 col-sm-12">Reset password</button>
                    </div>
                    {% csrf_token %}
                </form>
                <ul class="list-inline">
                    <li>
                      <i class="fa fa-arrow-left" aria-hidden="true"></i>
                      <a href="{% url 'account:sign-in' %}">Back to login</a></li>
                </ul>  
            </div>
          </div>
        </div>
        {% else %}
        <div class="col-md-12 col-sm-12 col-xs-12 col-lg-12">
            <div class="text-center">
            <p>
              The password reset link was invalid, possibly because it has already been used.
              Please request a new password reset.
            </p>
          </div>
        </div>
        {% endif %}
      {% else %}
        <div class="col-md-12 col-sm-12 col-xs-12 col-lg-12">
          <div class="text-center">
            <h3>You have already logged in</h3>
            <ul class="list-inline">
              <li>
                <i class="fa fa-arrow-left" aria-hidden="true"></i>
                <a href="{% url 'account:profile' %}">Profile</a></li>
              <li><a href="{% url 'account:logout' %}">Logout</a></li>
            </ul>
          </div>
        </div>
      {% endif %}
    </div>
{% endblock %}